/*****************************************************************************/
/*  Copyright (C) NEC Corporation 2015 All rights reserved.                  */
/*  File Name    : SGTK_latlon.h                                             */
/*  Abstract     : I/O toolkit header file                                   */
/*                                                                           */
/*  Author     NEC                                                           */
/*  Date       2015/03/20                                                    */
/*  Version    1.00                                                          */
/*  Notice                                                                   */
/*****************************************************************************/
#ifndef __SGTK_LATLON_H__
#define __SGTK_LATLON_H__
#include<stdio.h>
#include<math.h>
#include<stdlib.h>

#ifdef __cplusplus
extern "C" {
#endif

#define FLOAT float

void calcLatLon_eqa_tile(int resolution, int h, int v, float *latlon);
void calcLatLon_eqa_binning(int resolution, float *latlon);
void calcLatLon_eqr(int resolution, float *latlon);
void calcLatLon_ps(int resolution, float *latlon);

#ifdef __cplusplus
}
#endif

#endif //__SGTK_LATLON_H__
