exec =  samplef95

srcs= \
		sample.f95

objs=$(srcs:.f95=.o)
tobjs =$(addprefix ../src/,$(objs)) 
dest=../bin

ROOTDIR = ../../../libs

CC = gfortran
CPPFLAGS = -fPIC -g -O2 -Wall -D_LINUX_
LIBCC = ar rcs

INCDIR = -I$(ROOTDIR)/include -I../../include
LDDIR  = -L$(ROOTDIR)/lib -L./ -L../../lib

LDFLAGS = -lgtest -lsgtk -lhdf5_cpp -lhdf5_hl

# Make test
all: $(exec)

$(exec): $(tobjs)
	$(CC) -o $(dest)/$(exec) $(tobjs) $(LDDIR) $(LDFLAGS)

%.o: %.f95
	$(CC) $(INCDIR) $(CPPFLAGS) -c $< -o $@

clean:
	rm -f $(dest)/$(exec) $(tobjs)

test: $(exec)
	$(dest)/$(exec)

